/* Terraform - (C) 1997-1999 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_PRINT_OPTIONS_H
#define _TF_DIALOG_PRINT_OPTIONS_H


#include "GuiDialogYN.h"				// include gtk, gtk--
#include "GuiBufferedDrawingArea.h"
#include "GuiColormap.h"
#include "flexarray.h"


/*
 *  TFDialogPrintOptions: display the print dialog
 */
class TFDialogPrintOptions : public GuiDialogYN
	{
	public: 
				TFDialogPrintOptions ();
				~TFDialogPrintOptions (); 
		void		buildDialogWindow ();
		void 		buttonCallbackYes ();

	protected:
		void		init ();
		void		setPaper (const gchar *paper);
		void		getMargins ( gfloat *tmargin, gfloat *bmargin,
					     gfloat *lmargin, gfloat *rmargin);
		void		setMargins ( gfloat tmargin, gfloat bmargin,
					     gfloat lmargin, gfloat rmargin);
		int		getOrientation ();
		void		setOrientation (int orient);
		gfloat		getScaling ();
		void		setScaling (gfloat scaling);
		void		getEffectiveArea (float *width, gfloat *height);
		void		getPaperSize (const gchar *paper, 
					gfloat *width, gfloat *height); 
		void		getDefaultMargins (const gchar *paper,
					gfloat *tmargin, gfloat *bmargin,
					gfloat *lmargin, gfloat *rmargin);
		void		fitToPagePressed ();
		void		sizePage ();
		gint		redraw (GdkEventExpose *e=NULL);
		int		idle_redraw ();
		void		paper_size_change ();
		void		orient_changed ();
		void		margin_changed ();
		void		scale_changed ();
		void		cmbPaperSizeCallback ();
		//void		insertPaperSize ();
		//void		insertOrientation ();
		//void		insertColor ();
		//void		insertMargins ();
		//void		insertScaling ();

		int			d_paperSelected;
		int			d_offx, d_offy, d_width, d_height;
		GdkColor		*d_col, 
					*d_colB,
					*d_colW;
		Gtk_HBox		*d_hbOrientation;
		Gtk_VBox		*d_vbPaperSize,
					*d_vbScaling;
		Gtk_Entry		d_enPaperSize;
		Gtk_Frame		*d_frmPaperSize,
					*d_frmOrientation,
					*d_frmMargins,
					*d_frmScaling;
		Gtk_Label		*d_lblPaperSize,
					*d_lblT,
					*d_lblB,
					*d_lblL,
					*d_lblR;
		Gtk_Menu		*d_menuPaperSize;
		Gtk_OptionMenu		*d_optMenuPaperSize;
		Gtk_SpinButton		*d_spbtnMarginT,
					*d_spbtnMarginB,
					*d_spbtnMarginL,
					*d_spbtnMarginR,
					*d_spbtnScaling;
		GList			*d_glstPaperSize,
					*d_glstColor;
		GSList			*d_gslstOrient;
		Gtk_Button		*d_btnFitToPage; 
		Gtk_RadioButton		*d_btnOrientLandscape, 
					*d_btnOrientPortrait;
		Gtk_Table		*d_tblMain,
					*d_tblMargins;
		GuiBufferedDrawingArea	*d_da;
		GuiColormap		*d_colorMap;
	};


#endif // _TF_DIALOG_PRINT_OPTIONS_H
