/* Terraform - (C) 1997-1999 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_ROTATE_H
#define _TF_DIALOG_ROTATE_H


#include "TFPreviewDialog.h"				// includes gtk, gtk--



/*
 *  TFDialogRotate: display the rotate dialog for terraformer
 */
class TFDialogRotate : public TFPreviewDialog
	{
	public: 
				TFDialogRotate (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogRotate (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		insertOptions ();
		void		updatePreviewCallback ();

		Gtk_Frame		d_frmOptions;
		Gtk_Table		d_tblRotate;
		Gtk_Label		d_lblR1, d_lblR2, 
					d_lblR3, d_lblR4,
					d_lblUnit;
		Gtk_RadioButton		*p_RB1, *p_RB2, *p_RB3, *p_RB4;
	};


#endif // _TF_DIALOG_ROTATE_H
